Criar pagamento
Cria uma ordem de pagamento e disponibiliza o card para o terminal.
/commands/order/createAuthorization
bearerAuth gatewayKey Token JWT no formato: Bearer {token}
In: header
Gateway Token recebido na criacao da loja.
In: header
Request Body
application/json
Corpo da requisição.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.smarttef.mobi/commands/order/create" \ -H "Content-Type: application/json" \ -d '{ "value": 19.9, "payment_type": "DEBIT", "charge_id": "966", "order_type": "NRM", "extras": { "CPF": "000.000.000-00", "Nome": "Teste da Silva" } }'{
"payment_identifier": "019c964f-5ecf-7889-97c2-1121e6f65f5c",
"payment_status": "PDT",
"order_type": "NRM",
"charge_id": "966",
"allow_multi_payments": false,
"allow_cash_payment": false,
"has_details": true,
"form": null
}{
"status": 400,
"data": {
"message": [
{
"code": "custom",
"message": "installments can only be sent when payment_type is CREDIT.",
"path": [
"installments"
]
},
{
"code": "custom",
"message": "Valor mínimo de transação definido por muitas adquirencias > R$ 1,00",
"path": [
"value"
]
},
{
"code": "custom",
"message": "Only one of serial_pos or user_id should be sent, not both.",
"path": [
"serial_pos",
"user_id"
]
}
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/commands/order/create"
}
}{
"status": 401,
"data": {
"message": [
"Unauthorized",
"Token não e do tipo loja, verifique se o token está correto.",
"token not corresponds",
"Store not found",
"Store is not active or is blocked",
"Store is blocked. <cache>"
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/commands/order/create"
}
}{
"status": 404,
"data": {
"message": [
"Terminal is not active",
"Terminal não encontrado",
"User not found",
"User is not active",
"User is blocked"
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/commands/order/create"
}
}{
"status": 500,
"data": {
"message": [
"Failed to create payment order",
"Failed to create form order"
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/commands/order/create"
}
}